@()

@import helper._

@implicitFieldConstructor = @{
    FieldConstructor(twitterBootstrapInput.render)
}

@title = {
    ReliaCloud
}

@pageTitle = {
}

@main(title, pageTitle) {
    <div class="container-fluid">
        <div class="hero-unit">
            <div class="row">
                <div class="thumbnail span3">
                    <img src="@routes.Assets.at("images/cloud-computing.jpg")" />
                </div>
                <div class="span9">
                    <h1>ReliaCloud-NS</h1>
                    <p>ReliaCloud-NS is a tool for performing non-sequential Monte Carlo reliability assessments on cloud computing systems (CCSs). </p>
                    <p><a href="#" class="btn btn-primary btn-large">Learn more &raquo;</a></p>
                </div>
            </div>
        </div>

        <div class="row-fluid">
            <div class="span4">
                <h2>Simulate</h2>
                <p>Choose resources and setup a CCS reliability assessment or generate a CCS reliability curve. </p>
            </div>
            <div class="span4">
                <h2>Review</h2>
                <p>View the results of past simulations including reliability statistics and convergence graphs and charts.</p>
            </div>
            <div class="span4">
                <h2>Design</h2>
                <p>Create CCS components, design, and build complex CCS systems for simulation.</p>
            </div>
        </div>
        <div class="row-fluid">
            <div class="span4">
                <p><a class="btn btn-large btn-primary" id="create" href="@routes.SimulationController.simSetup()" hidden="false"><i class="icon-cog icon-white"></i> Setup a Simulation</a></p>
            </div>
            <div class="span4">
                <p><a class="btn btn-large btn-success" id="view" href='@routes.SimulationController.list("id","desc","")' hidden="false"><i class="icon-file icon-white"></i> View Past Results</a></p>
            </div>
            <div class="span4">
                <div class="btn-group">
                    <a class="btn btn-large dropdown-toggle btn-inverse" data-toggle="dropdown" href="#">
                        <i class="icon-th-large icon-white"></i> Create Components
                        <span class="caret"></span>
                    </a>
                    <ul class="dropdown-menu">
                        <li><a href="@routes.VMController.list()">VMs</a></li>
                        <li><a href="@routes.VMGroupController.list()">VM Groups</a></li>
                        <li><a href="@routes.ClusterController.list()">Clusters</a></li>
                        <li><a href="@routes.CloudController.list()">Clouds</a></li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
}

